package com.bonus.core.account.dto;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Max;

import java.io.Serializable;
import java.time.LocalDateTime;

public class CardQueryDTO implements Serializable {
   @ApiModelProperty("页号")
   private Integer pageNum;
   @ApiModelProperty("页长")
   private @Max(
   value = 200L,
   message = "页长最大200"
) Integer pageSize;
   @ApiModelProperty("更新时间-起点时间")
   private LocalDateTime startDateTime;
   @ApiModelProperty("更新时间-终点时间")
   private LocalDateTime endDateTime;
   @ApiModelProperty("物理卡号")
   private String serialNum;
   @ApiModelProperty("人员id")
   private Long custId;

   public Integer getPageNum() {
      return this.pageNum;
   }

   public Integer getPageSize() {
      return this.pageSize;
   }

   public LocalDateTime getStartDateTime() {
      return this.startDateTime;
   }

   public LocalDateTime getEndDateTime() {
      return this.endDateTime;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Long getCustId() {
      return this.custId;
   }

   public void setPageNum(final Integer pageNum) {
      this.pageNum = pageNum;
   }

   public void setPageSize(final Integer pageSize) {
      this.pageSize = pageSize;
   }

   public void setStartDateTime(final LocalDateTime startDateTime) {
      this.startDateTime = startDateTime;
   }

   public void setEndDateTime(final LocalDateTime endDateTime) {
      this.endDateTime = endDateTime;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

}
